# _FixedResponseHTTPServerNotify
<span class="source-link">[[Source]](src/net-http/_test.md#L472)</span>

Test http server that spits out fixed responses.
apply returns a TCPListenNotify object.


```pony
primitive val _FixedResponseHTTPServerNotify
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/_test.md#L472)</span>


```pony
new val create()
: _FixedResponseHTTPServerNotify val^
```

#### Returns

* [_FixedResponseHTTPServerNotify](net-http-_FixedResponseHTTPServerNotify) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-http/_test.md#L478)</span>


```pony
fun box apply(
  h': TestHelper val,
  f: {(String val)} iso,
  r: Array[String val] val)
: TCPListenNotify iso^
```
#### Parameters

*   h': [TestHelper](ponytest-TestHelper) val
*   f: {(String val)} iso
*   r: [Array](builtin-Array)\[[String](builtin-String) val\] val

#### Returns

* [TCPListenNotify](net-TCPListenNotify) iso^

---

### eq
<span class="source-link">[[Source]](src/net-http/_test.md#L478)</span>


```pony
fun box eq(
  that: _FixedResponseHTTPServerNotify val)
: Bool val
```
#### Parameters

*   that: [_FixedResponseHTTPServerNotify](net-http-_FixedResponseHTTPServerNotify) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-http/_test.md#L478)</span>


```pony
fun box ne(
  that: _FixedResponseHTTPServerNotify val)
: Bool val
```
#### Parameters

*   that: [_FixedResponseHTTPServerNotify](net-http-_FixedResponseHTTPServerNotify) val

#### Returns

* [Bool](builtin-Bool) val

---

